Subject: bug#57015: 29.0.50; macOS: libgccjit was not found: Homebrew libgccjit 12.1.0

From: Po Lu <[email-masked]>
Date: Sun, 07 Aug 2022 20:55:50 +0800

Stefan Kangas <[email-masked]> writes:

> That's a maintainer decision, but note that Homebrew is by far the
> most popular package manager on macOS.  It seems important to ensure
> things work there, if we want to pay more than lip service to
> supporting macOS.

FWIW, I think macOS Emacs users can do without a package manager.  I
built Emacs and its dependencies manually on a Mac using only the
built-in Command Line Developer Tools.  I guess I should write the
instructions down in nextstep/INSTALL.

Recommending a package manager that breaks so often to our macOS users
is doing them a disservice.  I think there have already been several bug
reports during the past year related to Homebrew changing their
libgccjit package.